<template>
  <div>
    <v-card>
      <v-card-title> Usuarios </v-card-title>
      <v-divider class="mx-1"></v-divider>
      <v-card-text>
        <v-simple-table>
          <template v-slot:default>
            <thead>
              <tr>
                <th class="text-left font-weight-medium text-body-1">Nombres</th>
                <th class="text-left font-weight-medium text-body-1">Usuario</th>
                <th class="text-left font-weight-medium text-body-1">Correo</th>
                <th class="text-left font-weight-medium text-body-1">Rol</th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="(item, i) in allUsers" :key="i">
                <td>{{ item.name }}</td>
                <td>{{ item.user }}</td>
                <td>{{ item.mail }}</td>
                <td>{{ item.role }}</td>
              </tr>
            </tbody>
          </template>
        </v-simple-table>
      </v-card-text>
    </v-card>
  </div>
</template>

<script lang="ts">
import { Vue, Component, getModule } from 'nuxt-property-decorator'
import UserStore from '@/store/user'

@Component({
  name: 'usuarios',
  middleware: ['isAdmin'],
})
export default class Usuarios extends Vue {
  usuarios: any

  get allUsers() {
    const user = getModule(UserStore, this.$store)
    return user.allUsers
  }

  getAllUsers() {
    const usersModule = getModule(UserStore, this.$store)
    usersModule.getAllUsers()
  }

  created() {
    this.getAllUsers()
  }
}
</script>